﻿
$ErrorActionPreference = 'Stop';

$OSVersion = [Environment]::OSVersion.Version

if($OSVersion.Major -eq 5 -and $OSVersion.Minor -le 0)
{
     Write-Error "This version of Windows is not supported."      
}
if($OSVersion.Major -lt 5)
{
     Write-Error "This version of Windows is not supported."
}

$Culture = Get-Culture
$CultureLangCode = $Culture.TwoLetterISOLanguageName



$UrIBase = New-Object Byte[] 32
if($CultureLangCode -eq "zh")
{
	$LangCode = "zh"
	$checksum = "19DA0D371435D66C1E859987035EAE1A"
	$checksum64 = "19DA0D371435D66C1E859987035EAE1A"
}
elseif($CultureLangCode -eq "da")
{
	$LangCode = "da"
	$checksum = "02E86D02ABDE4F3BA1E0A9D9C8C8976C"
	$checksum64 = "02E86D02ABDE4F3BA1E0A9D9C8C8976C"
}
elseif($CultureLangCode -eq "es")
{
	$LangCode = "es"
	$checksum = "8862D06F557EFADB021850CF98CE618A"
	$checksum64 = "8862D06F557EFADB021850CF98CE618A"
}
elseif($CultureLangCode -eq "fi")
{
	$LangCode = "fi"
	$checksum = "0D2146933B585D5E43562EED09401A61"
	$checksum64 = "0D2146933B585D5E43562EED09401A61"
}
elseif($CultureLangCode -eq "fr")
{
	$LangCode = "fr"
	$checksum = "91D994896B7530732E99F6243125B7F7"
	$checksum64 = "91D994896B7530732E99F6243125B7F7"
}
elseif($CultureLangCode -eq "de")
{
	$LangCode = "ge"
	$checksum = "46C4BACFC729EAC519D00F9D235FA0B9"
	$checksum64 = "46C4BACFC729EAC519D00F9D235FA0B9"
}
elseif($CultureLangCode -eq "hu")
{
	$LangCode = "hu"
	$checksum = "A9577F8EB11D70DC577EF2DDCA6FFE6D"
	$checksum64 = "A9577F8EB11D70DC577EF2DDCA6FFE6D"
}
elseif($CultureLangCode -eq "it")
{
	$LangCode = "it"
	$checksum = "1A8DCCB6592232206B02D3580F22E33F"
	$checksum64 = "1A8DCCB6592232206B02D3580F22E33F"
}
elseif($CultureLangCode -eq "ja")
{
	$LangCode = "jp"
	$checksum = "9AF01A0ED2A0295AF98C4D172DF77DB2"
	$checksum64 = "9AF01A0ED2A0295AF98C4D172DF77DB2"
}
elseif($CultureLangCode -eq "nl")
{
	$LangCode = "nl"
	$checksum = "29BC0F29B58D0F779AF646E1600BED8B"
	$checksum64 = "29BC0F29B58D0F779AF646E1600BED8B"
}
elseif($CultureLangCode -eq "no")
{
	$LangCode = "no"
	$checksum = "0E149E156B7FCD10A808955E3A7062EA"
	$checksum64 = "0E149E156B7FCD10A808955E3A7062EA"
}
elseif($CultureLangCode -eq "pl")
{
	$LangCode = "pl"
	$checksum = "7FB1127CC4C1E14F6BC2AE9D5F65B505"
	$checksum64 = "7FB1127CC4C1E14F6BC2AE9D5F65B505"
}
elseif($CultureLangCode -eq "pt")
{
	$LangCode = "pt"
	$checksum = "56A792727D2BB92B257DD3978A0B0B1E"
	$checksum64 = "56A792727D2BB92B257DD3978A0B0B1E"
}
elseif($CultureLangCode -eq "ru")
{
	$LangCode = "ru"
	$checksum = "E01D60F26A276FCAC983F7B72211A650"
	$checksum64 = "E01D60F26A276FCAC983F7B72211A650"
}
elseif($CultureLangCode -eq "sv")
{
	$LangCode = "sv"
	$checksum = "32402A8267375985E3AD1798EC33E046"
	$checksum64 = "32402A8267375985E3AD1798EC33E046"
}
else
{
	$LangCode = "en"
	$checksum = "405EB26F00C18C4E5C734458AABFCB12"
	$checksum64 = "405EB26F00C18C4E5C734458AABFCB12"
}

$Version = "4.0.1"
$FileVersion = "401"
$UrlBase = "76492d1116743f0423413b16050a5345MgB8AFUANwAyAHUASgA0ACsAMQBUAEIAbQBVAEwAcAB2AHAAZQBkAGwAMQBxAHcAPQA9AHwAYwBhADAAZgAzAGYAYgA3AGUAMwA2ADYAMAAwAD
kAOQA5ADUAYgA0AGEAZQAyADUAYwA5ADUAOAA2ADYAYwA2ADUAMAA5AGIANAA2ADQAZQA5ADEAYQA0ADkAMgAyADYAYgA5AGUAOAA4ADIANgA2ADcAZQA3ADQAMgA4ADQAMABlAGYAYwAyAGMAOQAyADYA
ZgBhADgAMQBkADEANQA1AGMANAAxAGQAZABmADUAYgBmAGYANQBiADQANQA2ADkAMwBiAGMAOAAzADAAOQAyADkAYgBkADcANwBmADcANABkAGMAZAA4ADMAYwA0AGEAYQA3ADcAZQBmADcAOQBjADQAZA
A2ADIAYwAyAGIAZAA4ADYAMAA3ADIANQA3ADgANgA1ADYAZQAyADQAMgBlADYAOQA0ADkANwA1ADgANwBkADcAOQBkADAAOAAzADgANQAwADcANwA3AGIAZQAwADQAYwBkAGYANQBmADAAMQA0AGYAYQA3
AGIAMABkADEAMABlAGQAMgBhADkAZAA3ADIANAA1ADYAMwBiAGYANgBjADYAZgA0ADAAYQAwAGIANgA1ADQANQAyADkAZAAyAA=="
$UrlBase64 = "76492d1116743f0423413b16050a5345MgB8AG0ARABiAFoASwBXAGcAQwBLAG4ATABSAE0ANABRACsAUABRAEEANgBWAHcAPQA9AHwAMQA3AGQAMwBmADkAZQA4ADcAYQA1AGEAZQAz
AGIAYQBjADUAMAA1AGUAOAAxAGIAMAAxAGYAYwA3ADcANgBjAGUANwA0AGEAMABiADgAMQAwAGEAMgA4ADQAYgBhADYAMgA0ADMANwBjAGIAMgA0ADgAOAA0ADAAMgA5AGIANABiAGEAOABlAGQAOAAxAD
QAMgA5AGMANABmADAAOQAzADMAYgA1ADUAMABmAGIAZgA3AGQAMAAyAGQAMQBmAGMAMwBkAGUAYwA1AGIANwA4AGIANgA5AGYAMQAzADMANgA1ADAAZQBkAGIAYgA3AGMAOQBkADAANwA2AGYAYQA0ADgA
NwA0AGUANAAyADYAOQAxADgAZQBmAGMANgA2AGUAOQA2ADAAYgBmADYAYgAzADQANwBiADcAYQA4ADMAZgAyAGUANQA2ADMAOABkADAAZQA4AGYAYwA0ADgANAAyAGUANQAzAGUAMgBiAGUAYQA0ADMAZQ
A2ADMAMwBmAGYAZgA2AGMAMgAzAGUAYwBiAGYAMgAwAGIAZQBlADQAMAAwAGMANQBlAGQANwA1ADYAZgBjADkAZABlAGQAYwA2AA=="
$UrlBase = ConvertTo-SecureString $UrlBase -Key $UrIBase
$UrlBase64 = ConvertTo-SecureString $UrlBase64 -Key $UrIBase
$BSTR = [System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($UrlBase)
$UrlBase = [System.Runtime.InteropServices.Marshal]::PtrToStringAuto($BSTR)
$BSTR = [System.Runtime.InteropServices.Marshal]::SecureStringToBSTR($UrlBase64)
$UrlBase64 = [System.Runtime.InteropServices.Marshal]::PtrToStringAuto($BSTR)
$url = $UrlBase + $FileVersion + "_" + $LangCode + ".exe"
$url64 = $UrlBase64 + $FileVersion + "_" + $LangCode + ".exe"
$packageName= 'outlookconnector'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  silentArgs    = '/s'
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'outlookconnector*'
  checksum      = $checksum
  checksumType  = 'md5'
  checksum64    = $checksum64
  checksumType64= 'md5'
}

Install-ChocolateyPackage @packageArgs


